/***************************************************************
 * game loop and related game headers
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 **************************************************************/

#ifndef _GAME_H
#define	_GAME_H


#include "types.h"
#include "math.h"

typedef enum eGameplayState
{
	GAMEPLAY_PAUSED,
	GAMEPLAY_NORMAL,

} eGameplayState;


// number of vblanks the previous frame took
extern u16 frameTime;
extern u16 frameTimeAccum;
extern s24f8 frameTimeF;

/**************************************************************
 * the master game loop
 *************************************************************/
extern void Game_MainLoop (void);





// temp stuff, for my current VRAM setup:
#define	SHIP0_TILENUM			0
#define	SHIP1_TILENUM			(SHIP0_TILENUM+4)
#define	SHIP2_TILENUM			(SHIP1_TILENUM+4)
#define	SHIP3_TILENUM			(SHIP2_TILENUM+4)
#define	SHIP0_SHIELD_TILENUM	(SHIP3_TILENUM+4)

#define	BULLETS_TILENUM			(SHIP0_SHIELD_TILENUM+4)

#define	EXPLO_TILENUM			(BULLETS_TILENUM+4)

#define	NUMS_TILENUM			(EXPLO_TILENUM+(15*4))
#define	LETTERS_TILENUM			(NUMS_TILENUM+10)
#define	HEART_TILENUM			(LETTERS_TILENUM+28)
#define	SKULL_TILENUM			(HEART_TILENUM+1)
#define	BOX_TILENUM				(SKULL_TILENUM+1)
#define	CLOCK_TILENUM			(BOX_TILENUM+1)

#define	PLAYER_ACCEL	0x08
#define	SHIP1_ACCEL		0x06

#define	PLAYER_SCREEN_OFFSET_X  int_to_s24f8(104)
#define	PLAYER_SCREEN_OFFSET_Y  int_to_s24f8(64)



#endif

