/*****************************************************************
 * general type definitions
 *
 * written by Doug Lanford, opus@opusgames.com
 * for more info, go to www.opusgames.com
 *
 * This file is provided as freeware
 ****************************************************************/


#ifndef	_TYPES_H
#define	_TYPES_H


// integer types
typedef unsigned char	u8;		// unsigned 8 bit int
typedef signed char		s8;		// signed 8 bit
typedef unsigned short	u16;	// unsigned 16 bit
typedef signed short	s16;	// signed 16 bit
typedef unsigned long	u32;    // unsigned 32 bit
typedef signed long		s32;	// signed 32 bit

// angle settings
typedef	u8				ANGLE;	// 0 = 0 degrees, 0xff = ~358.6 degrees

// common angle values
#define	ANG_0		0x00
#define	ANG_45		0x20
#define	ANG_90		0x40
#define	ANG_135		0x60
#define	ANG_180		0x80
#define	ANG_225		0xA0
#define	ANG_270		0xC0
#define	ANG_315		0xE0
#define	ANG_359		0xFF
#define	ANG_360		0x100


// pointer null
#define	NULL    0


#endif

